---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs202t001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50B80, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52AC0, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52EB0, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53E50, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53E60, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50800, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50804, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50808, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50960, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50A18, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50A1C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50A20, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50A24, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50A28, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50A30, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50A48, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50A50, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50A58, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50A60, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50A68, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50AB0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3DB0, symSize: 0x80 }
  - { offsetInCU: 0x91A5, offset: 0x91A5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3D00, symSize: 0xB0 }
  - { offsetInCU: 0x9200, offset: 0x9200, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3C00, symSize: 0x100 }
  - { offsetInCU: 0x9493, offset: 0x9493, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3E30, symSize: 0xC0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3EF0, symSize: 0x220 }
  - { offsetInCU: 0x96CA, offset: 0x96CA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4110, symSize: 0xA0 }
  - { offsetInCU: 0x977D, offset: 0x977D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x41B0, symSize: 0x110 }
  - { offsetInCU: 0x9873, offset: 0x9873, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x42C0, symSize: 0x150 }
  - { offsetInCU: 0x99A4, offset: 0x99A4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4410, symSize: 0x30 }
  - { offsetInCU: 0x9A91, offset: 0x9A91, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4440, symSize: 0x150 }
  - { offsetInCU: 0x9C89, offset: 0x9C89, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4590, symSize: 0x160 }
  - { offsetInCU: 0x9F49, offset: 0x9F49, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x46F0, symSize: 0x4A0 }
  - { offsetInCU: 0xA1BC, offset: 0xA1BC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4B90, symSize: 0x1B0 }
  - { offsetInCU: 0xA3D7, offset: 0xA3D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4D40, symSize: 0xA0 }
  - { offsetInCU: 0xA4A6, offset: 0xA4A6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4DE0, symSize: 0x20 }
  - { offsetInCU: 0xA4DD, offset: 0xA4DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4E00, symSize: 0x20 }
  - { offsetInCU: 0xA514, offset: 0xA514, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4E20, symSize: 0x20 }
  - { offsetInCU: 0xA6E7, offset: 0xA6E7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4E40, symSize: 0x1A0 }
  - { offsetInCU: 0xAA0D, offset: 0xAA0D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4FE0, symSize: 0x80 }
  - { offsetInCU: 0xAAD6, offset: 0xAAD6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5060, symSize: 0x6A0 }
  - { offsetInCU: 0xB66B, offset: 0xB66B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA140, symBinAddr: 0x6330, symSize: 0xB0 }
  - { offsetInCU: 0xB6E2, offset: 0xB6E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5700, symSize: 0x70 }
  - { offsetInCU: 0xB802, offset: 0xB802, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5770, symSize: 0xA0 }
  - { offsetInCU: 0xB939, offset: 0xB939, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5810, symSize: 0x40 }
  - { offsetInCU: 0xBA2F, offset: 0xBA2F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5850, symSize: 0x2B0 }
  - { offsetInCU: 0xBDD5, offset: 0xBDD5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5B00, symSize: 0xC0 }
  - { offsetInCU: 0xBF1B, offset: 0xBF1B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5BC0, symSize: 0x10 }
  - { offsetInCU: 0xBFDD, offset: 0xBFDD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5BD0, symSize: 0x220 }
  - { offsetInCU: 0xC2DA, offset: 0xC2DA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5DF0, symSize: 0x10 }
  - { offsetInCU: 0xC337, offset: 0xC337, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5E00, symSize: 0x160 }
  - { offsetInCU: 0xC5AB, offset: 0xC5AB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D70, symBinAddr: 0x5F60, symSize: 0x10 }
  - { offsetInCU: 0xC640, offset: 0xC640, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9D80, symBinAddr: 0x5F70, symSize: 0x130 }
  - { offsetInCU: 0xC905, offset: 0xC905, size: 0x8, addend: 0x0, symName: _callbackSingleStep, symObjAddr: 0x9EB0, symBinAddr: 0x60A0, symSize: 0xA0 }
  - { offsetInCU: 0xCAD9, offset: 0xCAD9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x9F50, symBinAddr: 0x6140, symSize: 0xB0 }
  - { offsetInCU: 0xCB40, offset: 0xCB40, size: 0x8, addend: 0x0, symName: _callbackBreakpoint, symObjAddr: 0xA000, symBinAddr: 0x61F0, symSize: 0x70 }
  - { offsetInCU: 0xCC9E, offset: 0xCC9E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t001_hs202t001_popThreadFrame, symObjAddr: 0xA070, symBinAddr: 0x6260, symSize: 0x90 }
  - { offsetInCU: 0xCDBF, offset: 0xCDBF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t001_hs202t001_resumeThread, symObjAddr: 0xA100, symBinAddr: 0x62F0, symSize: 0x40 }
  - { offsetInCU: 0xCE65, offset: 0xCE65, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1F0, symBinAddr: 0x63E0, symSize: 0x36A }
...
